<?php
/*
	Plugin Name: ARI MailerLite Fix
	Plugin URI: http://www.ari-soft.com/
	Description: Fix conflict between 3rd party plugin and "ARI Stream Quiz" plugins
	Version: 1.0.0
	Author: ARI Soft
	Author URI: http://www.ari-soft.com
	Text Domain: ari-mailerlite-fix
	Domain Path: /languages
	License: GPL2
 */

defined( 'ABSPATH' ) or die( 'Access forbidden!' );

$ARI_ACTIONS = array( 'ari_cf7_connector', 'ari_stream_quiz' );

if ( ( wp_doing_ajax() && isset( $_REQUEST['action'] ) && in_array( $_REQUEST['action'], $ARI_ACTIONS ) ) ||
	( isset( $_REQUEST['_wpcf7'] ) ) ) {

    add_action( 'option_active_plugins', function( $plugins ) {
		$remove_plugins = array(
			'woo-mailerlite/woo-mailerlite.php',
			'op-dashboard/op-dashboard.php',
			'connector-gravityforms-mailerlite/connector-gravityforms-mailerlite.php',
			'ameliabooking/ameliabooking.php',
		);

		foreach ( $remove_plugins as $plugin ) {
			$idx = array_search( $plugin, $plugins );

			if ( $idx !== false ) {
				unset( $plugins[$idx] );
			}
		}

        return $plugins;   
    });
}